{% macro threeDots(type,id) %}
    <a href="#dropdown{{ type }}{{ id }}" class="btn-three-dots dropdown text-decoration-none" data-type="{{ type }}" data-id="{{ id }}"
       id="dropdown{{ type }}{{ id }}" data-bs-toggle="dropdown" aria-expanded="false">
        <i class="bi bi-three-dots-vertical"></i>
    </a>
    <ul class="dropdown-menu" aria-labelledby="dropdown{{ type }}{{ id }}">
        {% if type=='folder' %}
            <li><a class="dropdown-item"
                   href="{{ path('app_folder_new',{'parentId': id}) }}">
                    <i class="bi bi-folder-plus"></i>
                    {% trans %}New folder{% endtrans %}</a>
            </li>
            <li>
                <hr class="dropdown-divider">
            </li>
            <li><a class="dropdown-item"
                   href="{{ path('app_document_new',{'folderId': id}) }}">
                    <i class="bi bi-file-plus"></i>
                    {% trans %}Add document{% endtrans %}</a></li>
            <li><a class="dropdown-item"
                   href="{{ path('app_link_new',{'folderId': id}) }}">
                    <i class="bi bi-file-plus"></i>
                    {% trans %}Add link{% endtrans %}</a></li>
        {% endif %}
        <li><a class="dropdown-item btnPermissions" data-bs-toggle="modal"
               data-bs-target="#permissionsModal{{ type }}{{ id }}"
               href="#permissionsModal{{ type }}{{ id }}" data-type="{{ type }}"
               data-id="{{ id }}">
                <i class="bi bi-people"></i>
                {% trans %}Change permissions{% endtrans %}</a></li>
        <li><a class="dropdown-item" data-bs-toggle="modal"
               data-bs-target="#linkModal{{ type }}{{ id }}"
               href="#linkModal{{ type }}{{ id }}" data-type="{{ type }}"
               data-id="{{ id }}"><i class="bi bi-link"></i> {% trans %}Get shortcut link{% endtrans %}</a></li>

        {% if type=='folder' %}
        <li><a class="dropdown-item"
               href="{{ path('app_folder_move',{'folderId': id}) }}">
                <i class="bi bi-folder-symlink"></i>
                {% trans %}Move into{% endtrans %}</a></li>
        <li><a class="dropdown-item"
               href="{{ path('app_folder_edit',{'folderId': id}) }}">
                <i class="bi bi-pencil"></i>
                {% trans %}Rename{% endtrans %}</a></li>
        <li><a class="dropdown-item"
               href="{{ path('app_folder_delete',{'folderId': id}) }}">
                <i class="bi bi-trash"></i>
                {% trans %}Delete{% endtrans %}</a></li>
        {% endif %}
        {% if type=='document' %}
            <li><a class="dropdown-item"
                   href="{{ path('app_document_move',{'documentId': id}) }}">
                    <i class="bi bi-folder-symlink"></i>
                    {% trans %}Move into{% endtrans %}</a></li>
            <li><a class="dropdown-item"
                   href="{{ path('app_document_edit',{'documentId': id}) }}">
                    <i class="bi bi-pencil"></i>
                    {% trans %}Rename{% endtrans %}</a></li>
            <li><a class="dropdown-item"
                   href="{{ path('app_document_delete',{'documentId': id}) }}">
                    <i class="bi bi-trash"></i>
                    {% trans %}Delete{% endtrans %}</a></li>
        {% endif %}
        {% if type=='link' %}
            <li><a class="dropdown-item"
                   href="{{ path('app_link_move',{'linkId': id}) }}">
                    <i class="bi bi-folder-symlink"></i>
                    {% trans %}Move into{% endtrans %}</a></li>
            <li><a class="dropdown-item"
                   href="{{ path('app_link_edit',{'linkId': id}) }}">
                    <i class="bi bi-pencil"></i>
                    {% trans %}Rename{% endtrans %}</a></li>
            <li><a class="dropdown-item"
                   href="{{ path('app_link_delete',{'linkId': id}) }}">
                    <i class="bi bi-trash"></i>
                    {% trans %}Delete{% endtrans %}</a></li>
        {% endif %}
    </ul>


{% endmacro %}



{% macro linkModal(type,id,slug) %}
    <!-- Modal for links -->
    <div class="modal fade" id="linkModal{{ type }}{{ id }}" tabindex="-1"
         aria-labelledby="linkModalLabel{{ type }}{{ id }}"
         aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="linkModalLabel{{ type }}{{ id }}">{{ type|upper }} links</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body text-break">
                    <ul>
                        {% if type=='folder' %}
                            <li>{{ url('folders',{'folderId': slug}) }}</li>
                            <li>{{ url('folders',{'folderId': id}) }}</li>
                        {% endif %}
                        {% if type=='document' %}
                            <li>{{ url('app_document_download',{'documentId': slug}) }}</li>
                            <li>{{ url('app_document_download',{'documentId': id}) }}</li>
                        {% endif %}
                        {% if type=='link' %}
                            <li>{{ url('app_link_goto',{'linkId': slug}) }}</li>
                            <li>{{ url('app_link_goto',{'linkId': id}) }}</li>
                        {% endif %}
                    </ul>

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">{% trans %}Close{% endtrans %}</button>
                </div>
            </div>
        </div>
    </div>
{% endmacro %}


{% macro permissionModal(type,id) %}
    <!-- Modal for permissions -->
    <div class="modal fade" id="permissionsModal{{ type }}{{ id }}" tabindex="-1"
         aria-labelledby="permissionsModalLabel{{ type }}{{ id }}" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="permissionsModalLabel{{ type }}{{ id }}">{% trans %}Permissions{% endtrans %}</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div id="permissionsModalContent{{ type }}{{ id }}">

                </div>

            </div>
        </div>
    </div>
{% endmacro %}
{% macro tags(tags) %}
    {% for tag in tags %}
        <span class="badge rounded-pill bg-primary">{{ tag }}</span>
    {% endfor %}
{% endmacro %}